KTextEditor::ViewStatusMsgDCOPInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::ViewStatusMsgDCOPInterface Class Reference

This is the main interface to the ViewStatusMsgInterface of KTextEdit. DCOP interface to ViewStatusMsgInterface. More...

`#include <viewstatusmsgdcopinterface.h>`

Inheritance diagram for KTextEditor::ViewStatusMsgDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::ViewStatusMsgDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | viewStatusMsgInterfaceNumber ()
void | viewStatusMsg (class QString msg)
## Public Member Functions
| ViewStatusMsgDCOPInterface (ViewStatusMsgInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~ViewStatusMsgDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the ViewStatusMsgInterface of KTextEdit. DCOP interface to ViewStatusMsgInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file viewstatusmsgdcopinterface.h.

## Constructor & Destructor Documentation

ViewStatusMsgDCOPInterface::ViewStatusMsgDCOPInterface | ( | ViewStatusMsgInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  ParentViewStatusMsgInterface | - The parent ViewStatusMsgInterface object that will provide us with the functions for the interface.
Definition at line 9 of file viewstatusmsgdcopinterface.cpp. References KStdAccel::name().

ViewStatusMsgDCOPInterface::~ViewStatusMsgDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 15 of file viewstatusmsgdcopinterface.cpp.

The documentation for this class was generated from the following files:

- viewstatusmsgdcopinterface.h
- viewstatusmsgdcopinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:31:00 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001